package info.textgrid.middleware;

/**
 * <p>
 * Collection of OAI-PMH constant values.
 * </p>
 * 
 * @author Maximilian Brodhun, SUB Göttingen
 * @author Stefan E. Funk, SUB Göttingen
 */

public final class OaipmhConstants {

  // Metadata Prefixes
  public static final String METADATA_IDIOM_PREFIX = "oai_idiom_mets";
  public static final String METADATA_OPENAIRE_PREFIX = "oai_datacite";

  // Error String Constants
  public static final String OAI_BAD_ARGUMENT = "BadArgument";
  public static final String OAI_METADATA_FORMAT_ERROR = "FormatError";
  public static final String OAI_NO_RECORD_MATCH = "RecordMatchError";
  public static final String OAI_NO_SET_HIERARCHY = "SetHierarchyError";
  public static final String OAI_BAD_RESUMPTION_TOKEN = "badResumptionToken";
  public static final String OAI_ID_DOES_NOT_EXIST = "idDoesNotExist";
  public static final String OAI_VERB_ERROR = "badVerb";
}
